## vdanjean-setup-machines 1.166

=== debian/changelog ===
vdanjean-setup-machines (1.166) unstable; urgency=medium

  * fix typo in python script

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 12 Nov 2025 18:38:52 +0100

vdanjean-setup-machines (1.165) unstable; urgency=medium

  * cleanup postinst files

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 17 Apr 2025 15:47:11 +0200

vdanjean-setup-machines (1.164) unstable; urgency=medium

  * move obsolete packages to oldlibs section

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 26 Jan 2025 23:10:26 +0100

vdanjean-setup-machines (1.163) unstable; urgency=medium

  * [chu] fix handling of smb.conf
  * [chu] do not enforce DSN software (to be done with ansible)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 11 Nov 2024 11:39:14 +0100

vdanjean-setup-machines (1.162) unstable; urgency=medium

  * [chu] do not symlink smb.conf

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Nov 2024 12:10:16 +0100

vdanjean-setup-machines (1.161) unstable; urgency=medium

  * [chu] add new required packages

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 29 Oct 2024 19:10:29 +0100

vdanjean-setup-machines (1.160) unstable; urgency=medium

  * [chu] remove dependency on gfold (no more in Debian)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 29 Oct 2024 14:13:51 +0100

vdanjean-setup-machines (1.159) unstable; urgency=medium

  * [dj] add Breaks

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 15 Mar 2024 22:36:10 +0100

vdanjean-setup-machines (1.158) unstable; urgency=medium

  * [dj] cleanup tasks handled by ansible

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 15 Mar 2024 22:12:54 +0100

vdanjean-setup-machines (1.157) unstable; urgency=medium

  * Avoid dependency on library

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 14 Mar 2024 13:53:20 +0100

vdanjean-setup-machines (1.156) unstable; urgency=medium

  * add --no-rename to dpkg-divert

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 07 Jan 2024 23:17:27 +0100

vdanjean-setup-machines (1.155) unstable; urgency=medium

  * do not add sg module everywhere

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 07 Jan 2024 19:44:22 +0100

vdanjean-setup-machines (1.154) unstable; urgency=medium

  * more cleanup, emptying chu-postfix

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 06 Jan 2024 23:42:19 +0100

vdanjean-setup-machines (1.153) unstable; urgency=medium

  * more cleanup, removing symlinks handling

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 06 Jan 2024 12:09:29 +0100

vdanjean-setup-machines (1.152) unstable; urgency=medium

  * get rid of vdanjean-setup-chu and vdanjean-setup-chu-nodsi
    replaced by ansible

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 06 Jan 2024 00:08:11 +0100

vdanjean-setup-machines (1.151) unstable; urgency=medium

  * start moving configuration to ansible

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 07 Nov 2023 22:19:15 +0100

vdanjean-setup-machines (1.150) unstable; urgency=medium

  * *-sources-* are not hard-dependencies anymore

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 18 Jul 2023 09:15:28 +0200

vdanjean-setup-machines (1.149) unstable; urgency=medium

  * security from bullseye by default

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 15 Jul 2023 20:36:30 +0200

vdanjean-setup-machines (1.148) unstable; urgency=medium

  * add the vdanjean-setup-ansible-client package

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 11 Jun 2023 21:44:40 +0200

vdanjean-setup-machines (1.147) unstable; urgency=medium

  * add the vdanjean-setup-cpu package

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 23 Mar 2023 01:05:46 +0100

vdanjean-setup-machines (1.146) unstable; urgency=medium

  * Fix samba config prior to AD integration

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 01 Mar 2023 16:34:08 +0100

vdanjean-setup-machines (1.145) unstable; urgency=medium

  * Remove old APT config files

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 26 Feb 2023 15:19:24 +0100

vdanjean-setup-machines (1.144) unstable; urgency=medium

  * Take qemu and libvirt from backports

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 23 Feb 2023 21:46:16 +0100

vdanjean-setup-machines (1.143) unstable; urgency=medium

  * Cleanup old APT sources

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 21 Feb 2023 08:13:08 +0100

vdanjean-setup-machines (1.142) unstable; urgency=medium

  * Fix internal bugs

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 17 Feb 2023 00:38:11 +0100

vdanjean-setup-machines (1.141) unstable; urgency=medium

  * Fix handling of '\n' in separation fields

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 16 Feb 2023 22:48:52 +0100

vdanjean-setup-machines (1.140) unstable; urgency=medium

  * Add bookworm APT sources (not yet used by default)
  * Start conversion of APT sources files to deb822 format
  * Ensure gpg keys are only used for specific APT repositories

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 15 Feb 2023 14:12:57 +0100

vdanjean-setup-machines (1.139) unstable; urgency=medium

  * fix perms of sssd config file

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 19 Nov 2022 22:48:58 +0100

vdanjean-setup-machines (1.138) unstable; urgency=medium

  * provide config for non-server machines

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 13 Nov 2022 22:37:32 +0100

vdanjean-setup-machines (1.137) unstable; urgency=medium

  * ignore some AD groups with a group filter in sssd

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 07 Oct 2022 21:51:07 +0200

vdanjean-setup-machines (1.136) unstable; urgency=medium

  * better handle CIFS and kerberos

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 30 Sep 2022 01:26:56 +0200

vdanjean-setup-machines (1.135) unstable; urgency=medium

  * add new dependencies and microsoft sources list

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 19 May 2022 23:21:46 +0200

vdanjean-setup-machines (1.134) unstable; urgency=medium

  * remove logckeck files (already in vdanjean-logcheck-rules)


