=== debian/control ===
Source: vdanjean-setup-machines
Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec
Standards-Version: 4.7.2

# replaced by ansible
Package: vdanjean-setup-sources-chu
Architecture: all
Depends: ${misc:Depends},
         ucf,
         wget,
         vdanjean-archive-keyring (>> 2023),
         apt
Recommends: etckeeper
Breaks: vdanjean-install-sources
Provides: vdanjean-install-sources
Replaces: vdanjean-install-sources
Description: install private repository
 This package is intended for my private use.
 .
 It installs private repositories and apt-keys. Feel free to use this
 package, but check the sources before to be sure it fits your needs.

# replaced by ansible
Package: vdanjean-setup-sources-dj
Architecture: all
Depends: ${misc:Depends},
         ucf,
         vdanjean-archive-keyring (>> 2023),
         apt
Recommends: etckeeper,
         wget,
Description: install private repository (dj network)
 This package is intended for my private use.
 .
 It installs private repositories. Feel free to use this
 package, but check the sources before to be sure it fits your needs.

# data for ansible configuration
Package: vdanjean-setup-files
Architecture: all
Replaces: vdanjean-setup-common
Breaks: vdanjean-setup-common (<<1.151~)
Conflicts: vdanjean-setup-ansible-client
Recommends: python3
Depends: ${misc:Depends},
Description: various data and scripts required for local configuration
 This package is intended for my private use.
 .
 It installs some data and scripts used by ansible for local configuration.

# replaced by ansible
Package: vdanjean-setup-common
Architecture: all
Section: metapackages
Depends: ${misc:Depends},
         acl,
         ifupdown,
         git,
         tig,
         etckeeper,
         rsync,
         vim,
         vdanjean-archive-keyring,
         sudo,
         logcheck,
         apticron,
         parted,
         apt-moreutils,
         deborphan,
         vdanjean-logcheck-rules (>= 1.39~),
         openssh-client,
         openssh-server,
         stow,
         curl,
         w3m,
         screen,
         grub-efi-amd64 | grub-pc,
         man,
         postfix | mail-transport-agent,
         acpi-support-base,
         python3,
         python3-nagiosplugin (>= 1.2.4),
         python3-gi,
         libnss-myhostname,
         bash-completion,
         usbutils,
         strace,
         lvm2,
         libldap-common,
         intel-microcode,
         firmware-linux-free,
         firmware-linux-nonfree,
Recommends: console-setup,
         gparted,
Conflicts: grub2
Breaks: vdanjean-common-install,
        vdanjean-keyring (<< 2015)
Replaces: vdanjean-common-install
Description: install private base package list
 This package is intended for my private use.
 .
 It installs some more packages for private use.

Package: vdanjean-setup-chu
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
         ucf,
Breaks: vdanjean-setup-chu-nodsi (<< 1.69)
Description: install private base package list AND configuration files for a cluster
 This package is intended for my private use.
 .
 It installs some more packages and setup some configuration for private use
 for a set of machines I have to manage.

Package: vdanjean-setup-chu-postfix
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
         vdanjean-setup-chu (= ${binary:Version}),
         ucf (>= 3.0031+nmu2~),
         ucf (>= 3.0043~) | ucf-divert,
Breaks: vdanjean-setup-chu (<< 1.48~)
Replaces: vdanjean-setup-chu (<< 1.48~)
Description: install and setup postfix for a private use
 This package is intended for my private use.
 .
 It installs postfix and setup some specific configuration
 for a set of machines I have to manage.

Package: vdanjean-setup-chu-nodsi
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
         ucf,
         vdanjean-setup-chu (= ${binary:Version}),
         vdanjean-setup-chu-postfix (= ${binary:Version}),
Breaks: vdanjean-setup-chu (<< 1.48~)
Replaces: vdanjean-setup-chu (<< 1.48~)
Description: install private base package list AND configuration files for a cluster with no DSI help
 This package is intended for my private use.
 .
 It installs some more packages and setup some configuration for private use
 for a set of machines I have to manage when the DSI is not involved.

Package: vdanjean-setup-chu-packages-base
Architecture: all
Section: metapackages
Depends: ${misc:Depends},
         task-ssh-server,
         reportbug,
         installation-report,
         emacs,
         nano,
         iotop,
         lshw,
         at,
         bc,
         dc,
         rpm,
         tcsh,
         ftp,
         info,
         netcat-traditional,
         screen,
         lsof,
         ethtool,
         telnet,
         sshfs,
         tsocks,
         time,
         stunnel4,
         linux-image-amd64,
         lvm2,
         nfacct,
         discover,
         acpid,
         acpi,
         dmidecode,
         dnsutils,
         task-french,
         host,
         manpages,
         iputils-ping,
         texinfo,
         traceroute,
         hdparm,
         htop
Recommends: m4,
         debian-faq,
         doc-debian,
         eject,
         iptables
Description: install private packages list for all nodes
 This package is intended for my private use.
 .
 It installs some packages for private use for a set of machines I have to
 manage.
 .
 This package is used on all nodes

Package: vdanjean-setup-chu-packages
Architecture: all
Section: metapackages
Depends: ${misc:Depends},
         ucf,
         vdanjean-setup-chu-packages-base (= ${binary:Version}),
         build-essential,
         automake,
         autoconf,
         cmake,
         debhelper,
         devscripts,
         xdiskusage,
         tk,
         x11vnc,
	bcftools,
	bedtools,
	bowtie,
	bowtie2,
	bwa,
	circos,
	cufflinks,
	cutadapt,
	fastqc,
	gmap,
	hisat2,
	htop,
	jq,
	libarchive-zip-perl,
	libatlas-base-dev,
	libbam-dev,
	libbio-samtools-perl,
	libboost-all-dev,
	libcarp-assert-perl,
	libclass-isa-perl,
	libhts-dev,
	libjson-perl,
	libjson-xs-perl,
	libnspr4-dev,
	libnss3-dev,
	libseqan2-dev,
	libset-intervaltree-perl,
	libssl-dev,
	libstatistics-descriptive-discrete-perl,
	libstatistics-distributions-perl,
	libswitch-perl,
	libtest-most-perl,
	liburi-escape-xs-perl,
	libxml2-dev,
	mira-assembler,
	openjdk-11-jdk,
	openjdk-11-jre,
	openjdk-17-jdk,
	parallel,
	perl,
	picard-tools,
	plink1.9,
	pluma,
	python3-all-dev,
	python3-biopython,
	python3-cutadapt,
	python3-dev,
	python3-h5py,
	python3-htseq,
	python3-matplotlib,
	python3-numpy,
	python3-plotly,
	python3-pysam,
	python3-scipy,
	python3-setuptools ,
	python3-sklearn,
	python3-statsmodels,
	python3-tables,
	r-base,
	r-bioc-cummerbund,
	r-bioc-dnacopy,
	r-cran-curl,
	r-cran-dplyr,
	r-cran-ggplot2,
	r-cran-glmnet,
	r-cran-hmisc,
	r-cran-httr,
	r-cran-lavaan,
	r-cran-mgcv,
	r-cran-nnls ,
	r-cran-plyr,
	r-cran-reshape2,
	r-cran-sem,
	r-cran-vcd,
	r-cran-zoo,
	rna-star,
	samtools,
	singularity3 | singularity-container,
	soapdenovo,
	soapdenovo2,
	stow,
	vcftools,
         seaview
Recommends:
         task-desktop,
         task-french,
         task-gnome-desktop,
         task-kde-desktop,
         task-xfce-desktop,
         recode,
         subversion,
Description: install private packages list on work nodes
 This package is intended for my private use.
 .
 It installs some packages for private use for a set of machines I have to
 manage.
 .
 Packages required on user machines are installed

Package: vdanjean-setup-cpu
Architecture: all
Depends: ${misc:Depends}
Description: setup available cores in VM
 This package is intended for my private use.
 .
 It provides the cpumode script with a systemd service to run it at start.

Package: vdanjean-setup-dj
Architecture: all
Depends: ${misc:Depends},
         adduser,
         ucf,
         vdanjean-setup-common (= ${binary:Version}),
         sssd,
         sssd-tools,
Breaks: vdanjean-setup-dj-server (<< 1.159~)
Description: install private base package list AND configuration files for a cluster
 This package is intended for my private use.
 .
 It installs some more packages and setup some configuration for private use
 for a set of machines I have to manage.

Package: vdanjean-setup-dj-server
Architecture: all
Depends: ${misc:Depends},
         ucf,
         vdanjean-setup-dj (= ${binary:Version}),
         icinga2 (>= 2.10),
         monitoring-plugins,
Description: install private base package list AND configuration files for a server
 This package is intended for my private use.
 .
 It installs some more packages and setup some configuration for private use
 for a set of servers I have to manage.
